Show / Hide Table of Contents

# Class XivChatEntry

##### Inheritance

System.Object
XivChatEntry

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class XivChatEntry

### Properties

#### Message

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Parameters

##### Declaration

    public IntPtr Parameters { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

#### SenderId

##### Declaration

    public uint SenderId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

#### Type

##### Declaration

    public XivChatType Type { get; set; }

##### Property Value

Type | Description
--- | ---
XivChatType |